Summary:	An HTTP regression testing/benchmarking utility
Summary(pl.UTF-8):	Narzędzie do testowania serwerów HTTP
Name:		siege
Version:	3.0.1
Release:	1
License:	GPL v2
Group:		Networking/Utilities
Source0:	http://www.joedog.org/pub/siege/%{name}-%{version}.tar.gz
# Source0-md5:	3401d9c8a02f227b63a0d10e2718ab37
Patch0:		%{name}-config.patch
URL:		http://www.joedog.org/index/siege-home
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssl-devel >= 0.9.7d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Siege is a regression test and benchmark utility. It can stress test a
single URL with a user defined number of simulated users, or it can
read many URLs into memory and stress them simultaneously. The program
reports the total number of hits recorded, bytes transferred, response
time, concurrency, and return status. Siege supports HTTP/1.0 and 1.1
protocols, GET and POST directives, cookies, transaction logging, and
basic authentication. Its features are configurable on a per user
basis.

%description -l pl.UTF-8
Siege to narzędzie do testowania działania i wydajności serwerów HTTP.
Może testować odporność dla pojedynczego URL-a ze zdefiniowaną liczbą
symulowanych użytkowników, lub ściągać wiele URL-i do pamięci,
obciążając je równocześnie. Program raportuje całkowitą liczbę
ściągniętych dokumentów, liczbę przesłanych bajtów, czas reakcji,
liczbę jednoczesnych połączeń i status operacji. Siege obsługuje
protokoły HTTP/1.0 i 1.1, metody GET i POST, cookie, logowanie
transakcji oraz zwykłą autentykację. Opcje są konfigurowalne dla
użytkownika.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--localstatedir=%{_localstatedir}/log \
	--with-ssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.https AUTHORS KNOWNBUGS NEWS ChangeLog
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/siegerc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/urls.txt
%attr(755,root,root) %{_bindir}/bombardment
%attr(755,root,root) %{_bindir}/siege
%attr(755,root,root) %{_bindir}/siege.config
%attr(755,root,root) %{_bindir}/siege2csv.pl
%{_mandir}/man1/bombardment.1*
%{_mandir}/man1/siege.1*
%{_mandir}/man1/siege.config.1*
%{_mandir}/man1/siege2csv.1*
%{_mandir}/man5/urls_txt.5*
%{_mandir}/man7/layingsiege.7*
%changelog
* Fri Jun 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/siege.git;a=log;h=master

* Fri Jun 07 2013 Łukasz Kieś <kiesiu@pld-linux.org> 924c570
- updated to 3.0.1

* Mon Apr 08 2013 Elan Ruusamäe <glen@delfi.ee> fc9238f
- up to 3.0.0

* Mon Mar 18 2013 wrobell <wrobell@pld-linux.org> fdd9332
- patches cleanup

* Mon Mar 11 2013 wrobell <wrobell@pld-linux.org> d6e588f
- ver. 2.78

* Mon Mar 11 2013 Elan Ruusamäe <glen@delfi.ee> 57c8c5d
- up to 2.77

* Mon Mar 04 2013 Elan Ruusamäe <glen@delfi.ee> 4da413a
- fix for new autoconf/automake

* Mon Mar 04 2013 Elan Ruusamäe <glen@delfi.ee> 9497426
- up to 2.75

* Fri Feb 15 2013 Elan Ruusamäe <glen@delfi.ee> 58c9522
- up to 2.74

* Mon Feb 11 2013 Elan Ruusamäe <glen@delfi.ee> 733512d
- up to 2.73, verbose files

* Tue Jan 29 2013 Elan Ruusamäe <glen@delfi.ee> 5a06d25
- up to 2.72, add -Werror=format-security patch

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e10e43a
- release 3

* Wed Feb 17 2010 Elan Ruusamäe <glen@pld-linux.org> 7096673
- release 2

* Wed Feb 17 2010 Elan Ruusamäe <glen@pld-linux.org> fbb300c
- up to 2.69

* Tue Mar 10 2009 duddits <duddits@pld-linux.org> f161384
- up to 2.67

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> 28063a4
- up to 2.66

* Sat Mar 03 2007 wrobell <wrobell@pld-linux.org> c51fce6
- problem fixed in 2.65

* Sat Mar 03 2007 wrobell <wrobell@pld-linux.org> bc07d17
- ver. 2.65

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> adcffbd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 96688b5
- converted to UTF-8

* Wed Aug 09 2006 wrobell <wrobell@pld-linux.org> 3d8f52d
- fixed url
- rel. 2 to build with openssl 0.9.8b

